import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { observer } from 'mobx-react-lite';
import { ThemeProvider } from '@mui/material';
import { QueryClient, QueryClientProvider } from '@tanstack/react-query';
import './App.scss';
import AdminToast from './components/toast/AdminToast';
import { MSTStoreProvider } from './models/root-store/root-store';
import Routes from './routes/root-route';
import { appTheme } from './theme/theme';
const App = () => {
    const queryClient = new QueryClient();
    return (_jsx(ThemeProvider, { theme: appTheme, children: _jsx(QueryClientProvider, { client: queryClient, children: _jsxs(MSTStoreProvider, { children: [_jsx(Routes, {}), _jsx(AdminToast, {})] }) }) }));
};
export default observer(App);
