import React from 'react';
import { ButtonProps } from '@mui/material';
import { ButtonVariant } from '../../constants/common-constants';
import './adminButton-styles.scss';
interface IButtonProps extends ButtonProps {
    /** buttonClass: is an optional prop that provides a class to button for styling */
    buttonClass?: string;
    /** buttonVariant: is an optional prop that states variant of the button */
    buttonVariant?: ButtonVariant;
    /** disableFocusRipple: is an optional prop that states whether button focus ripple effect is disabled or not */
    disableFocusRipple?: boolean;
    /** handleClick: is a required prop that handles the action on button click */
    handleClick?: (event?: React.MouseEvent<HTMLElement>) => void;
    /** isDisabled: is an optional prop that states whether button is disabled or not */
    isDisabled?: boolean;
    /** isDisabledRipple: is an optional prop that states whether button ripple effect is disabled or not */
    isDisabledRipple?: boolean;
    /** isFullWidth: is an optional prop to provide full width to the button */
    isFullWidth?: boolean;
    /** isLoading: is an optional prop to show loading state of the button */
    isLoading?: boolean;
    /** loadingIndicatorClass: is an optional prop that provides a class to loading indicator for styling */
    loadingIndicatorClass?: string;
    /** title: is a required prop that states the button title */
    title?: string;
    /** titleClass: is an optional prop that provides a class to button's title for styling */
    titleClass?: string;
}
declare const AdminButton: (props: IButtonProps) => import("react/jsx-runtime").JSX.Element;
export default AdminButton;
