import { jsx as _jsx } from "react/jsx-runtime";
import { Autocomplete, Chip } from '@mui/material';
import { InputSizes } from '../../constants';
import AdminInput from '../input/AdminInput';
const AdminChipInput = props => {
    const { value = [], onChange, ...rest } = props;
    const handleDelete = (chipToDelete) => {
        const updatedValue = value.filter(chip => chip !== chipToDelete);
        onChange && onChange(updatedValue);
    };
    const handleAddChip = (event) => {
        const inputValue = event.target.value.trim();
        if (event.key === 'Enter' && inputValue && !value.includes(inputValue)) {
            const updatedValue = [...value, inputValue];
            onChange && onChange(updatedValue);
            event.target.value = '';
        }
    };
    const handleChange = (_, newValue) => {
        console.log('newValue', newValue);
        onChange && onChange(newValue);
    };
    return (_jsx("div", { className: "adminDropdown__container", children: _jsx(Autocomplete, { multiple: true, freeSolo: true, value: value, options: [], onChange: handleChange, renderTags: (value, getTagProps) => value.map((option, index) => (_jsx(Chip, { label: option, ...getTagProps({ index }), onDelete: () => handleDelete(option) }))), renderInput: params => (_jsx(AdminInput, { ...params, onKeyDown: handleAddChip, size: InputSizes.Small, ...rest })) }) }));
};
export default AdminChipInput;
