import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import dayjs from 'dayjs';
import { Typography } from '@mui/material';
import { DateFormat } from '../../constants/date-time-constants';
import AdminDatePicker from '../date-time-picker/AdminDatePicker';
import './dateTimeRangePicker-styles.scss';
const DateRangePicker = (props) => {
    const { value, minEndDate, minStartDate, onChange = () => { }, dateFormat, label = '', errors, } = props;
    const { startDate, endDate } = value || {};
    const handleStartChange = (startDate) => {
        onChange({ startDate, endDate: value?.endDate || '' });
    };
    const handleEndChange = (endDate) => {
        onChange({ startDate: value?.startDate || '', endDate });
    };
    return (_jsxs("div", { children: [_jsx(Typography, { className: "timeRangePicker__label", children: label }), _jsxs("div", { className: "dateRangePicker__container", children: [_jsx(AdminDatePicker, { onChange: handleStartChange, value: dayjs(endDate, DateFormat.DDMMYYYY).isBefore(dayjs(startDate, DateFormat.DDMMYYYY), 'days')
                            ? endDate
                            : startDate, dateFormat: dateFormat, minDate: minStartDate, error: !!errors?.startDate, helperText: errors?.startDate?.message }), _jsx("span", { children: "-" }), _jsx(AdminDatePicker, { onChange: handleEndChange, value: dayjs(startDate, DateFormat.DDMMYYYY).isAfter(dayjs(endDate, DateFormat.DDMMYYYY), 'days')
                            ? startDate
                            : endDate, dateFormat: dateFormat, minDate: minEndDate, error: !!errors?.endDate, helperText: errors?.endDate?.message })] })] }));
};
export default DateRangePicker;
