import React from 'react';
import type { ReactNode } from 'react';
import { TextFieldProps } from '@mui/material';
import { VariantTypes } from '../../constants/common-constants';
import { InputAutoCompleteType, InputIconPosition, InputPresets } from '../../constants/input-field-constants';
import './adminInput-styles.scss';
export type IAdminInputProps = {
    /** autoComplete: is an optional prop to on / off suggestion tooltip the input field */
    autoComplete?: InputAutoCompleteType;
    /** containerClass: is an optional prop which contains the class name for styling the container */
    containerClass?: string;
    /** disabled: Optional. A boolean indicating if uploaded is disabled */
    disabled?: boolean;
    /** helperText: is an optional prop and it dictates the error message */
    helperText?: string;
    /** onChange: is a optional prop and it handles the change of text in input field */
    onChange?: (value: string | number) => void;
    /** hasBorder: is an optional prop and it dictates whether input border will appear or not */
    hasBorder?: boolean;
    /** icon: is an optional prop and it dictates the name of the icon */
    icon?: ReactNode;
    /** iconPosition: is an optional prop and it dictates the position of the icon */
    iconPosition?: InputIconPosition;
    /** inputFieldClass: is an optional prop and it dictates the classes for input field */
    inputFieldClass?: string;
    /** inputFieldWithBorderClass: is an optional prop and it dictates the classes for input field */
    inputFieldWithBorderClass?: string;
    /** inputLabelClass: is an optional prop and it dictates the class of the input label */
    inputLabelClass?: string;
    /** inputLabelWithBorderClass: is an optional prop and it dictates the class of the input label */
    inputLabelWithBorderClass?: string;
    /** error: is an optional prop and it dictates whether the input field is in error state or not*/
    error?: boolean;
    /** isErrorBorder: is an optional prop and it dictates whether to show border on all sides of input field when error occurs */
    isErrorBorder?: boolean;
    /** isFullWidth: is an optional prop and it whether input field takes full width  */
    isFullWidth?: boolean;
    /** isLabelError: is an optional prop and it dictates whether to show label error or not */
    isLabelError?: boolean;
    /** isMultiline: is an optional prop and it dictates whether input field is multiline or not. */
    isMultiline?: boolean;
    /** required: is an optional prop and it dictates whether the input field is required */
    required?: boolean;
    /** label: is an optional prop and it dictates the label of the input field */
    label?: string;
    /** maxLength: is an optional prop and it dictates max no of characters that can be accepted by input field */
    maxLength?: number;
    /** maxLines: is an optional prop and it dictates max no of rows that will be displayed in the input field */
    maxLines?: number;
    /** placeholder: is an optional prop and  it dictates the placeholder text */
    placeholder?: string;
    /** preset: is an optional prop and it dictates the input preset  */
    preset?: InputPresets;
    /** value: is an optional prop and it dictates the value of the input field */
    value?: string | number;
    /** variant: is an optional prop and it dictates the variant of the input field */
    variant?: VariantTypes;
    name?: string;
    type?: string;
    numberType?: string;
} & Omit<TextFieldProps, 'onChange'>;
declare const _default: React.MemoExoticComponent<(props: IAdminInputProps) => import("react/jsx-runtime").JSX.Element>;
export default _default;
