import { jsx as _jsx } from "react/jsx-runtime";
import React from 'react';
import { AdminTable, Header } from '../../components';
import { WithCrud } from '../../hoc';
import { translate } from '../../locales/translations';
import './layout-styles.scss';
function Layout(props) {
    const { currentPage, data, handleActionClick, handleAddClick, handleFilter, handlePageChange, handleRowsPerPageChange, handleSort, isLoading, pageSize, rows, totalRecords, handleRowClick, appliedFilters = {}, handleSearch, title, searchValue = '', handleToggle, disableActionsForRow, ...rest } = props;
    const { pagination, columns, actions, enableExport = false, toggleKey, customActions = [], } = data;
    const filterCount = Object.values(appliedFilters).length;
    const isFilterActionEnabled = (actions?.filter && !!rows?.length) || !!filterCount;
    const ToolbarHeader = React.memo(() => (_jsx("div", { className: "layout__toolbarHeader", children: _jsx(Header, { onPrimaryButtonPress: handleAddClick, onSecondaryButtonPress: handleFilter, primaryButtonTitle: translate.common.createNew, secondaryButtonTitle: translate.common.filter, isPrimaryButtonEnabled: actions.add, isSecondaryButtonEnabled: isFilterActionEnabled, secondaryButtonBadgeCount: filterCount }) })));
    return (_jsx("div", { className: "layout__container", children: _jsx(AdminTable, { actions: actions, columns: columns, currentPage: currentPage, enableExport: enableExport, handleActionClick: handleActionClick, handlePageChange: handlePageChange, handleRowClick: handleRowClick, handleRowsPerPageChange: handleRowsPerPageChange, handleSearch: handleSearch, handleSort: handleSort, handleToggle: handleToggle, isLoading: isLoading, pageSize: pageSize, pagination: pagination, rows: rows, searchValue: searchValue, title: title, toggleKey: toggleKey, toolbarHeader: _jsx(ToolbarHeader, {}), totalRecords: totalRecords, disableActionsForRow: disableActionsForRow, customActions: customActions, ...rest }) }));
}
const LayoutWithCrud = WithCrud(Layout);
export default LayoutWithCrud;
