import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Close as CloseIcon } from '@mui/icons-material';
import { Box, Drawer, IconButton, Typography } from '@mui/material';
import { DrawerAnchor } from '../../constants/common-constants';
import palette from '../../theme/colors';
import './adminSideDrawer-styles.scss';
const AdminSideDrawer = props => {
    const { children, containerClass = '', anchor = DrawerAnchor.Right, open, onClose, title, showHeader = true, childrenContainerClass = '', } = props;
    return (_jsx(Drawer, { anchor: anchor, open: open, onClose: onClose, className: "adminSideDrawer__wrapper", children: _jsxs("div", { className: `adminSideDrawer__container ${containerClass}`, children: [showHeader && (_jsxs(Box, { className: "adminSideDrawer__headerContainer", sx: {
                        backgroundColor: palette.primary,
                    }, children: [_jsx(Typography, { className: "adminSideDrawer__title", children: title }), _jsx(IconButton, { onClick: onClose, children: _jsx(CloseIcon, { className: "adminSideDrawer__icon" }) })] })), _jsx("div", { className: `adminSideDrawer__childrenContainer ${childrenContainerClass}`, children: children })] }) }));
};
export default AdminSideDrawer;
