import { jsx as _jsx } from "react/jsx-runtime";
import { createContext, useContext } from 'react';
const VsAdminContext = createContext({
    getToken: () => null,
});
export const VsAdminProvider = ({ getToken, children }) => {
    return _jsx(VsAdminContext.Provider, { value: { getToken }, children: children });
};
export const useVsAdmin = () => {
    const context = useContext(VsAdminContext);
    return context ?? { getToken: () => null };
};
