import { flow, types } from 'mobx-state-tree';
import { HttpVerb, makeApiCall } from '../../../services';
const ChartDataModel = types.model('DataModel', {
    name: types.string,
    uv: types.number,
    pv: types.number,
    amt: types.number,
});
const DashboardStore = types
    .model('DashboardStore', {
    chartData: types.optional(types.array(ChartDataModel), []),
    isLoading: types.boolean,
})
    .actions(self => {
    const getChartData = flow(function* getChartData() {
        try {
            self.isLoading = true;
            const res = yield makeApiCall(HttpVerb.GET, 'https://64c0c19c0d8e251fd11280d2.mockapi.io/get-countries-code');
            self.chartData = res.data;
        }
        catch (e) {
            console.log('Error ', e);
        }
        finally {
            self.isLoading = false;
        }
    });
    return { getChartData };
});
export { DashboardStore };
