import { types } from 'mobx-state-tree';
import { TOAST_DURATION, ToastPreset } from '../../../constants/toast-constants';
let timeout;
const ToastStore = types
    .model('ToastStore', {
    isToastVisible: types.boolean,
    preset: types.enumeration([ToastPreset.Success, ToastPreset.Error, ToastPreset.Warning]),
    toastMessage: types.string,
})
    .actions(self => ({
    closeToast() {
        clearTimeout(timeout);
        self.isToastVisible = false;
    },
    popToast({ type, message }) {
        self.isToastVisible = true;
        self.preset = type;
        self.toastMessage = message || '';
        clearTimeout(timeout);
        timeout = setTimeout(() => {
            this.closeToast();
        }, TOAST_DURATION);
    },
}));
export default ToastStore;
